Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate
[Groovy] Class HibernateGormEnhancer

    java.lang.Object
      org.grails.datastore.gorm.GormEnhancer
          org.codehaus.groovy.grails.orm.hibernate.HibernateGormEnhancer

    class HibernateGormEnhancer
    extends org.grails.datastore.gorm.GormEnhancer

Extended GORM Enhancer that fills out the remaining GORM for Hibernate methods and implements string-based query support via HQL.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary

Fields inherited from class org.grails.datastore.gorm.GormEnhancer
__$stMC, __timeStamp, __timeStamp__239_neverHappen1371569914773

Constructor Summary
`HibernateGormEnhancer(HibernateDatastore datastore, org.springframework.transaction.PlatformTransactionManager transactionManager, GrailsApplication grailsApplication)`

Method Summary
`static java.util.List` | `createPersistentMethods(GrailsApplication grailsApplication, java.lang.ClassLoader classLoader, org.grails.datastore.mapping.core.Datastore datastore)`
`protected org.grails.datastore.gorm.GormInstanceApi` | `getInstanceApi(java.lang.Class cls)`
`protected org.grails.datastore.gorm.GormStaticApi` | `getStaticApi(java.lang.Class cls)`
`protected org.grails.datastore.gorm.GormValidationApi` | `getValidationApi(java.lang.Class cls)`
`protected void` | `registerConstraints(org.grails.datastore.mapping.core.Datastore datastore)`
`protected void` | `registerNamedQueries(org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object namedQueries)`

Methods inherited from class org.grails.datastore.gorm.GormEnhancer
org.grails.datastore.gorm.GormEnhancer#getMetaClass(), org.grails.datastore.gorm.GormEnhancer#setMetaClass(groovy.lang.MetaClass), org.grails.datastore.gorm.GormEnhancer#setProperty(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormEnhancer#getProperty(java.lang.String), org.grails.datastore.gorm.GormEnhancer#invokeMethod(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormEnhancer#__$swapInit(), org.grails.datastore.gorm.GormEnhancer#super$1$notify(), org.grails.datastore.gorm.GormEnhancer#super$1$notifyAll(), org.grails.datastore.gorm.GormEnhancer#super$1$clone(), org.grails.datastore.gorm.GormEnhancer#super$1$wait(), org.grails.datastore.gorm.GormEnhancer#super$1$wait(long), org.grails.datastore.gorm.GormEnhancer#super$1$wait(long, int), org.grails.datastore.gorm.GormEnhancer#super$1$getClass(), org.grails.datastore.gorm.GormEnhancer#super$1$finalize(), org.grails.datastore.gorm.GormEnhancer#super$1$equals(java.lang.Object), org.grails.datastore.gorm.GormEnhancer#super$1$hashCode(), org.grails.datastore.gorm.GormEnhancer#getFailOnError(), org.grails.datastore.gorm.GormEnhancer#this$dist$invoke$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormEnhancer#this$dist$set$1(java.lang.String, java.lang.Object), org.grails.datastore.gorm.GormEnhancer#this$dist$get$1(java.lang.String), org.grails.datastore.gorm.GormEnhancer#super$1$toString(), org.grails.datastore.gorm.GormEnhancer#isFailOnError(), org.grails.datastore.gorm.GormEnhancer#setFailOnError(boolean), org.grails.datastore.gorm.GormEnhancer#getTransactionManager(), org.grails.datastore.gorm.GormEnhancer#getDatastore(), org.grails.datastore.gorm.GormEnhancer#setTransactionManager(org.springframework.transaction.PlatformTransactionManager), org.grails.datastore.gorm.GormEnhancer#enhance(boolean), org.grails.datastore.gorm.GormEnhancer#enhance(org.grails.datastore.mapping.model.PersistentEntity), org.grails.datastore.gorm.GormEnhancer#enhance(org.grails.datastore.mapping.model.PersistentEntity, boolean), org.grails.datastore.gorm.GormEnhancer#enhance(), org.grails.datastore.gorm.GormEnhancer#setDatastore(org.grails.datastore.mapping.core.Datastore), org.grails.datastore.gorm.GormEnhancer#getFinders(), org.grails.datastore.gorm.GormEnhancer#setFinders(java.util.List), org.grails.datastore.gorm.GormEnhancer#this$2$initialiseFinders(), org.grails.datastore.gorm.GormEnhancer#wait(), org.grails.datastore.gorm.GormEnhancer#wait(long, int), org.grails.datastore.gorm.GormEnhancer#wait(long), org.grails.datastore.gorm.GormEnhancer#equals(java.lang.Object), org.grails.datastore.gorm.GormEnhancer#toString(), org.grails.datastore.gorm.GormEnhancer#hashCode(), org.grails.datastore.gorm.GormEnhancer#getClass(), org.grails.datastore.gorm.GormEnhancer#notify(), org.grails.datastore.gorm.GormEnhancer#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### HibernateGormEnhancer

    HibernateGormEnhancer(HibernateDatastore datastore, org.springframework.transaction.PlatformTransactionManager transactionManager, GrailsApplication grailsApplication)

Method Detail

### createPersistentMethods

    static java.util.List createPersistentMethods(GrailsApplication grailsApplication, java.lang.ClassLoader classLoader, org.grails.datastore.mapping.core.Datastore datastore)

### getInstanceApi

    @Override
    @SuppressWarnings("unchecked")
    protected org.grails.datastore.gorm.GormInstanceApi getInstanceApi(java.lang.Class cls)

### getStaticApi

    @Override
    @SuppressWarnings("unchecked")
    protected org.grails.datastore.gorm.GormStaticApi getStaticApi(java.lang.Class cls)

### getValidationApi

    @SuppressWarnings("unchecked")
    protected org.grails.datastore.gorm.GormValidationApi getValidationApi(java.lang.Class cls)

### registerConstraints

    @Override
    protected void registerConstraints(org.grails.datastore.mapping.core.Datastore datastore)

### registerNamedQueries

    @Override
    protected void registerNamedQueries(org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object namedQueries)

Groovy Documentation